#include<iostream>

using namespace std;

int main()
{
  long double s = 0;
  long double zarada = 0;

  long long int n;
  cin >> n;

  long double a[n];
  long double p[n];

  for(long long int i=0; i<n; ++i)
  {
    cin >> a[i] >> p[i];
    p[i] /= 100.0;
  }

  for(long long int i=0; i<n; ++i)
  {
    s = 0;
    for(long long int j=0; j<n; ++j)
    {
      if(p[j] >= p[i])
      {
        s += a[j];
      }
    }
    
    zarada = max(zarada, double(s) * p[i]);
  }

  cout << to_string(zarada) << endl;

  return 0;
}